package mapy;

/**
 *
 * @author Miroslav Balík
 */
public class Polozka implements Comparable<Polozka>{
    private String slovo;
    private int pocet = 1; // vytvoříme jej s frekvencí 1

    public Polozka(String slovo) {
        this.slovo = slovo;
    }

    public int getPocet() {
        return pocet;
    }

    public String getSlovo() {
        return slovo;
    }

    public void setPocet(int pocet) {
        this.pocet = pocet;
    }

    public void setSlovo(String slovo) {
        this.slovo = slovo;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Polozka other = (Polozka) obj;
        if ((this.slovo == null) ? (other.slovo != null) : !this.slovo.equals(other.slovo)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 59 * hash + (this.slovo != null ? this.slovo.hashCode() : 0);
        return hash;
    }
    public void inkrementuj(){
        pocet++;
    }


    public int compareTo(Polozka o) {
        if(o==null)return -1;
        return slovo.compareTo(o.slovo);
    }

    @Override
    public String toString() {
        return slovo + ": " + pocet;
    }


}
